<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\InteractiveMessage;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class CarouselMessage extends \Google\Protobuf\Internal\Message
{
    


    private $cards;
    


    protected $messageVersion = null;
    


    protected $carouselCardType = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getCards()
    {
        return $this->cards;
    }

    




    public function setCards($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\Message\InteractiveMessage::class);
        $this->cards = $arr;

        return $this;
    }

    



    public function getMessageVersion()
    {
        return isset($this->messageVersion) ? $this->messageVersion : 0;
    }

    public function hasMessageVersion()
    {
        return isset($this->messageVersion);
    }

    public function clearMessageVersion()
    {
        unset($this->messageVersion);
    }

    




    public function setMessageVersion($var)
    {
        GPBUtil::checkInt32($var);
        $this->messageVersion = $var;

        return $this;
    }

    



    public function getCarouselCardType()
    {
        return isset($this->carouselCardType) ? $this->carouselCardType : 0;
    }

    public function hasCarouselCardType()
    {
        return isset($this->carouselCardType);
    }

    public function clearCarouselCardType()
    {
        unset($this->carouselCardType);
    }

    




    public function setCarouselCardType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\Message\InteractiveMessage\CarouselMessage\CarouselCardType::class);
        $this->carouselCardType = $var;

        return $this;
    }

}

